Bug 1021086 - SELinux is preventing /usr/libexec/fprintd from 'getattr' accesses on the file /etc/aliases.db.
SELinux is preventing /usr/libexec/fprintd from 'getattr' accesses on the fil...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: fprintd (Show other bugs)
19
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
abrt_hash:495bad31885752e888f9c8b8e92...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-19 04:53 EDT by Rafal Boruc
Modified: 2015-02-17 12:44 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 12:44:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rafal Boruc 2013-10-19 04:53:16 EDT
Description of problem:
SELinux is preventing /usr/libexec/fprintd from 'getattr' accesses on the file /etc/aliases.db.

*****  Plugin catchall (100. confidence) suggests  ***************************

If aby fprintd powinno mieć domyślnie getattr dostęp do aliases.db file.
Then proszę to zgłosić jako błąd.
Można utworzyć lokalny moduł polityki, aby umożliwić ten dostęp.
Do
można tymczasowo zezwolić na ten dostęp wykonując polecenia:
# grep fprintd /var/log/audit/audit.log | audit2allow -M mojapolityka
# semodule -i mojapolityka.pp

Additional Information:
Source Context                system_u:system_r:fprintd_t:s0
Target Context                system_u:object_r:etc_aliases_t:s0
Target Objects                /etc/aliases.db [ file ]
Source                        fprintd
Source Path                   /usr/libexec/fprintd
Port                          <Nieznane>
Host                          (removed)
Source RPM Packages           fprintd-0.5.0-1.fc19.i686
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-54.fc19.noarch selinux-
                              policy-3.12.1-74.9.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.9.5-301.fc19.i686.PAE #1 SMP Tue
                              Jun 11 19:46:44 UTC 2013 i686 i686
Alert Count                   47
First Seen                    2013-10-17 18:04:39 BST
Last Seen                     2013-10-17 18:26:32 BST
Local ID                      475d02cd-b730-4751-badf-5a3296056335

Raw Audit Messages
type=AVC msg=audit(1382030792.204:626): avc:  denied  { getattr } for  pid=3966 comm="fprintd" path="/etc/aliases.db" dev="dm-0" ino=526116 scontext=system_u:system_r:fprintd_t:s0 tcontext=system_u:object_r:etc_aliases_t:s0 tclass=file


type=SYSCALL msg=audit(1382030792.204:626): arch=i386 syscall=stat64 success=no exit=EACCES a0=bfcd6f7c a1=bfcd6e90 a2=b4550000 a3=bfcd6f7c items=0 ppid=1 pid=3966 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 ses=4294967295 tty=(none) comm=fprintd exe=/usr/libexec/fprintd subj=system_u:system_r:fprintd_t:s0 key=(null)

Hash: fprintd,fprintd_t,etc_aliases_t,file,getattr

Additional info:
reporter:       libreport-2.1.8
hashmarkername: setroubleshoot
kernel:         3.11.4-201.fc19.i686.PAE
type:           libreport
Comment 1 Daniel Walsh 2013-10-19 06:24:17 EDT
This looks like a bizarro world hit.  Why would the finger print daemon be looking at the /etc/aliases.db file?
Comment 2 Fedora End Of Life 2015-01-09 15:18:10 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2015-02-17 12:44:26 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.